%define auto %{perl_vendorarch}/auto
%define archlib %{perl_vendorarch}
%define _use_internal_dependency_generator 1

Name:           perl-Crypt-Cracklib
Version:        1.7
Release:        2%{?dist}
Summary:        Crypt-Cracklib - Perl interface to Alec Muffett's Cracklib

Group:          Development/Libraries
License:        GPL+ or Artistic
URL:            http://search.cpan.org/dist/Crypt-Cracklib/
Source0:        http://search.cpan.org/CPAN/authors/id/D/DA/DANIEL/Crypt-Cracklib-1.7.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires: perl(ExtUtils::ParseXS)
BuildRequires: perl(ExtUtils::Manifest)
BuildRequires:  cracklib-devel
BuildRequires:  cracklib-dicts
BuildRequires:  perl-Test-Pod
BuildRequires:  perl-Test-Pod-Coverage

Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
Patch0: automake.patch

%description
This module providers interaction with the system cracklib libraries.

%prep
%setup -q -n Crypt-Cracklib-%{version}
%patch0 -p0 -b .automake

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%check
make test

%install
rm -rf $RPM_BUILD_ROOT
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} ';' 2>/dev/null
%{_fixperms} $RPM_BUILD_ROOT/*
find $RPM_BUILD_ROOT -name Cracklib.bs -exec rm -f {} ';'

mkdir -p -m0700 $RPM_BUILD_ROOT%{_defaultdocdir}/perl-Crypt-Cracklib-%{version}
install -m 0644 Changes $RPM_BUILD_ROOT%{_defaultdocdir}/perl-Crypt-Cracklib-%{version}/Changes
install -m 0644 README $RPM_BUILD_ROOT%{_defaultdocdir}/perl-Crypt-Cracklib-%{version}/README

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%dir %{auto}/Crypt
%dir %{auto}/Crypt/Cracklib
%{archlib}/Crypt/Cracklib.pm
%{auto}/Crypt/Cracklib/*
%{_mandir}/man3/*.3*
%doc Changes README

%changelog
* Fri Jul 14 2023 BogusDateBot
- Eliminated rpmbuild "bogus date" warnings due to inconsistent weekday,
  by assuming the date is correct and changing the weekday.
  Sun Feb 05 2011 --> Sun Jan 30 2011 or Sat Feb 05 2011 or Sun Feb 06 2011 or ....

* Mon Mar 14 2016 Daniel Berteaud <daniel@firewall-services.com> 1.7-2
- Remove fedora and el5 specific conditions
- Add cracklib-dicts to the buildreqs so it builds on el7
* Sat Feb 05 2011 Carl Thompson <fedora@red-dragon.com> 1.7-1
  Sun Feb 05 2011 --> Sun Jan 30 2011 or Sat Feb 05 2011 or Sun Feb 06 2011 or ....
- upgraded to version 1.7
- added patch to remove AutoMake functions of perl so its
- dependant on packages
- updated spec to work with fedora and epel builds
- updated spec to deal with perl module install paths
* Wed Jul 28 2010 Carl Thompson <fedora@red-dragon.com> 1.5-3
- update files section for cleaner docs list
- removed epoch
- added Crypt as a directory owned by package
* Tue Jul 27 2010 Carl Thompson <fedora@red-dragon.com> 1:1.5-2
- added check section to spec
- removed BUILD_ROOT check in install and clean
- included the README and Changes files to the installation
- re enabled the internal dependancy checks
* Tue Jul 20 2010 Carl Thompson <fedora@red-dragon.com> 1:1.5-1
- update to 1.5
* Sat Jul 17 2010 Carl Thompson <fedora@red-dragon.com> 1:1.4-1
- initial build

